Updated to automake 1.10.
[gnupg.git] / kbx / kbxutil.c
index cd5da5f..809612f 100644 (file)
@@ -15,7 +15,8 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+ * USA.
  */
 
 #include <config.h>
@@ -129,12 +130,7 @@ i18n_init(void)
     set_gettext_file( PACKAGE_GT );
 #else
 #ifdef ENABLE_NLS
-    #ifdef HAVE_LC_MESSAGES
-       setlocale( LC_TIME, "" );
-       setlocale( LC_MESSAGES, "" );
-    #else
-       setlocale( LC_ALL, "" );
-    #endif
+    setlocale( LC_ALL, "" );
     bindtextdomain( PACKAGE_GT, LOCALEDIR );
     textdomain( PACKAGE_GT );
 #endif
@@ -371,7 +367,7 @@ dump_openpgp_key (keybox_openpgp_info_t info, const unsigned char *image)
       u = &info->uids;
       do 
         {
-          printf ("uid\t\t%.*s\n", u->len, image + u->off);
+          printf ("uid\t\t%.*s\n", (int)u->len, image + u->off);
           u = u->next;
         }
       while (u);
@@ -391,7 +387,7 @@ import_openpgp (const char *filename)
   buffer = read_file (filename, &buflen);
   if (!buffer)
     return;
-  p = buffer;
+  p = (unsigned char *)buffer;
   for (;;)
     {
       err = _keybox_parse_openpgp (p, buflen, &nparsed, &info);
@@ -433,7 +429,7 @@ main( int argc, char **argv )
      the option parsing may need services of the library.  */
   if (!gcry_check_version (NEED_LIBGCRYPT_VERSION) )
     {
-      log_fatal( _("libgcrypt is too old (need %s, have %s)\n"),
+      log_fatal (_("%s is too old (need %s, have %s)\n"), "libgcrypt",
                  NEED_LIBGCRYPT_VERSION, gcry_check_version (NULL) );
     }